Loading...
Searching...
No Matches
BALL::ObjectCreator Class Reference

`#include <BALL/CONCEPT/objectCreator.h>`

Inheritance diagram for BALL::ObjectCreator:

## Public Member Functions

Constructors
| ObjectCreator ()
Destructors
virtual | ~ObjectCreator ()
virtual void | clear ()
Accessors: inspectors and mutators
virtual void | initPersistenceManager (TextPersistenceManager &pm)
virtual Composite * | convertObject (PersistentObject &po)

## Operators

Composite * | operator() (TCPIOStream &tcp_iostream)

## Detailed Description

ObjectCreator class. The class ObjectCreator is a base class for converting PersistentObject objects into Composite objects. It defines methods for initialization and conversion that must be overriden by the derived class. This class is used by the class Server to convert incoming PersistentObject objects to Composite objects.

Definition at line 35 of file objectCreator.h.

## Constructor & Destructor Documentation

## ObjectCreator()

BALL::ObjectCreator::ObjectCreator | ( |  | ) |

Default Constructor. Construct new objectCreator. The state of this server is: TextPersistenceManager not initialized.

Returns
  ObjectCreator new constructed objectCreator

See also
  TextPersistenceManager

## ~ObjectCreator()

virtual BALL::ObjectCreator::~ObjectCreator | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::ObjectCreator::clear | ( |  | ) |

virtual

Explicit default initialization. Empty for further purpose.

Reimplemented in BALL::MoleculeObjectCreator.

## convertObject()

virtual Composite * BALL::ObjectCreator::convertObject | ( | PersistentObject & | po | ) |

virtual

Convert persistent objects. Override this method to convert PersistentObject objects to Composite objects. See TextPersistenceManager for information on how to convert PersistentObject objects into other objects.

Parameters

  po | a reference to a PersistentObject to be converted

Returns
  Composite* a converted Composite object if po could successfully be converted into a Composite object

Reimplemented in BALL::MoleculeObjectCreator.

## initPersistenceManager()

virtual void BALL::ObjectCreator::initPersistenceManager | ( | TextPersistenceManager & | pm | ) |

virtual

Initialize the persistence manager. Initialize the TextPersistenceManager of this objectCreator. Override this method to initialize the persistence manager for specified objects. See TextPersistenceManager for information on how and why to register PersistentObject classes.

Parameters

  pm | the TextPersistenceManager to be initialized

See also
  TextPersistenceManager

Reimplemented in BALL::MoleculeObjectCreator.

## operator()()

Composite * BALL::ObjectCreator::operator() | ( | TCPIOStream & | tcp_iostream | ) |

Read from a socket stream. This method will be called by the Server to convert objects that are available at the TCPIOStream using the convertObject method. It initializes the TextPersistenceManager by calling the method initPersistenceManager if it is not already initialized. Calls initPersistenceManager. Calls convertObject.

Parameters

  tcp_iostream | a reference to a TCPIOStream object

Returns
  Composite* a pointer to a received Composite object ( 0 if no composite object was received)